<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

$country_iso = 'ch';

$all_cities = $this->all_cities;
?>
<h1><?= __('m_choose_your_city'); ?></h1>
<p> <?= __('m_more_escorts_in_whole_france',array("NUMBER" => $this->total_count))  ?></p>

<table cellpadding="0" cellspacing="0" class="main-page-cities">
        
       <tr class="live-sex-menu-item" style="margin-top: 25px;" >
            <td class="city-item">
                <a href="<?= $this->getLink('companion') ?>"><?= __('escort') ?>
                    <div class="ribbon-live-sex"><span><?= __('menu_new') ?></span></div>
                </a>
                <div class="dotted"></div> 
            </td>
        </tr>
      
        <tr class="live-sex-menu-item" style="margin-top: 5px;" >
            <td class="city-item">
                <a href="<?= $this->getLink('romandie') ?>"><?= __('romandie') ?>
                    <div class="ribbon-live-sex"><span><?= __('menu_new') ?></span></div>
                </a>
                <div class="dotted"></div> 
            </td>
        </tr>
        <!--  <tr>
            <td class="city-item" style="background: none;">
                <a style="color: #f3f3f1;" href="<?= $this->getLink('escorts', array('city' => $city->city_url_slug, 'city_id' => $city->city_id, 'filter' => null, 'page' => null)) ?>">-</a>
                <div class="dotted"></div> 
            </td>
        </tr> -->
        <tr>
            <td class="city-item" style="background: none;">
                <a style="color: #f3f3f1;" href="<?= $this->getLink('escorts', array('city' => $city->city_url_slug, 'city_id' => $city->city_id, 'filter' => null, 'page' => null)) ?>">-</a>
                <div class="dotted"></div> 
            </td>
        </tr>
      
<? if ( count($all_cities) > 0 ): ?>

	<? foreach( $all_cities as $city ): ?>
    	<tr>
    		<td class="city-item">
    			<a href="<?= $this->getLink('escorts', array('city' => $city->city_url_slug, 'city_id' => $city->city_id, 'filter' => null, 'page' => null)) ?>"><?= $city->city_title ?></a>
    			<div class="dotted"></div> 
    		</td>
    	</tr>
	<? endforeach; ?>
	
<? endif; ?>

<? $regions = $this->regions; ?>
<? if ( count($regions) > 0 ): ?>
	

	<? foreach( $regions as $region ): ?>
		<?php if( $region->slug == 'romandie' || $region->slug == 'ticino' ) continue; ?>
	<tr>
		<td class="city-item">
<!--			<a href="<? /*$this->getLink('escorts', array('region' => $region->slug, 'filter' => null, 'page' => null))*/ ?>/escorts/region_<?= $region->slug ?>"><?= $region->title ?> <?= ($region->slug == 'romandie') ? '<span>(Genf, Lausanne...)</span>' : '' ?></a>-->
			<a 
				class="reg" 
				href="<?= $this->getLink('escorts', array('region' => $region->slug), true) ?>"
			><?= $region->title ?> 
			<? 
				if($region->slug == 'romandie'){
					echo '<span>'.__('region_ex_city').'</span>';
				}
			?>
			</a>
			<div class="dotted"></div>
		</td>
	</tr>
	<? endforeach; ?>

<? endif; ?>
	<tr>
		<td class="city-item">
			<a href="<?= $this->getLink('classified-ads-index') ?>"><?= __('tagesinserate') ?></a>
			<div class="dotted"></div>
		</td>
	</tr>
</table>

<!-- <div class="mobile-govazd-big">
    <a class="ixsHitBtn" href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'virtual'), true) ?>">
        
		<img width="100%" src="<?= _st('new_banner_mobile_' . Cubix_I18n::getLang() . '.gif') ?>" alt="Banner for skype"/>
       
       <? /*<img src="/img/a6-skype-govazd-mobile.gif" alt="Banner for Skype"/>*/ ?>
       
    </a>
</div> -->

<!-- ------------ STATUS MESSAGES ------------ -->
<?if($_GET['test']):?>
<p class="not-found"><?=__('mob_st_messages_not_found')?></p>

<h1 class="st-msg"><?=__('status_messages')?></h1>
<div id="statusMessWr">

</div>

<script>
    var StatusMessages = {};

    window.addEvent('domready', function () {
        StatusMessages.init();
    });

    StatusMessages = {
        //page_overlay: new Cubix.Overlay( document.body, { has_loader: true, opacity: 0.5, color: '#fff' } ),
        init: function(){
            this.loadBubbles();
        },

        loadBubbles: function( city, page, blank ){
            var self = this,
                data = {},
                wrapper = $('statusMessWr');

            if( !city ) city = '<?=$this->city?>';

            data.page = ( page ) ? page : 1;
            data.long = ( parseInt( '<?=$this->long?>' ) ) ? parseInt( '<?=$this->long?>' ) : '';
            data.lat = ( parseInt( '<?=$this->lat?>' ) ) ? parseInt( '<?=$this->lat?>' ) : '';

            if( city ) data.city = city;

            new Request({
                url: '/status-messages-ajax',
                method: 'get',
                data: data,
                onRequest: function() {

                },
                onSuccess: function ( resp ) {

                    if( resp ) {
                        $$('.not-found').removeClass('show');
                        if ( !blank )
                            wrapper.set('html', wrapper.get('html') + resp);
                        else
                            wrapper.set('html', resp);
                    } else {
                        if( blank ){
                            $$('.not-found').addClass('show');
                            wrapper.set('html', '');
                        }
                    }
                }.bind(this)
            }).send();
        }
    };
</script>
<?endif;?>
<style>
    html, body { width: 100%; height: 100%; }
    #page { width: 100%; padding: 10px; background: #f3f3f1; }
    /*#page h1 { color: #363636; font-size: 18px; margin-bottom: 10px; text-align: left; }*/
    h1.st-msg { margin: 15px 0 0 0; padding: 5px 0; background: #ce197f; color: #fff; }
    #page .cities-wrapper { display: block; margin: 15px 0 10px; position: relative; height: 35px; width: 100%;
        overflow: hidden; }
    #page .cities-wrapper:after { content: ''; display: block; width: 33px; height: 33px; position: absolute; top: 1px;
        right: 1px; background: #fff url(/img/mobile/select-arrow.png) center center no-repeat; pointer-events: none; }
    #page .cities-wrapper #stCity { width: 100%; height: 35px; padding: 7px 10px; border-color: #d7d7d7; color: #363636; }
    #page #statusMessWr { width: 100%; margin: 0 0 0 -10px; padding: 9px; background: #f7f7f7; }
    #page #statusMessWr * { box-sizing: border-box; font-size: 12px; }
    #page #statusMessWr .bubble-item { min-height: 90px; /*background: #fff;*/ margin-bottom: 10px; display: block;
        text-decoration: nonel }
    #page #statusMessWr .bubble-item:after { content: ''; display: table; clear: both; }
    #page #statusMessWr .bubble-image { width: 90px; height: 90px; float: left; }
    #page #statusMessWr .bubble-image img { vertical-align: top; }
    #page #statusMessWr .bubble-body { width: calc(100% - 90px); padding: 7px 10px; float: left; }
    #page #statusMessWr .bubble-body .bb-showname { color: #ce1168; font-size: 14px; margin-bottom: 5px;
        font-weight: bold; text-align: left; }
    #page #statusMessWr .bubble-body .bb-city { width: 50%; float: left; color: #ccc; margin-top: 10px; text-align: left;
        white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
    #page #statusMessWr .bubble-body .bb-date { width: 50%; float: right; color: #fa82b9; margin-top: 10px; text-align: right;}
    #page #statusMessWr .bubble-body .bb-body-text { text-align: left; max-height: 30px; overflow: hidden; font-size: 13px; }
    #page #loadMore { display: block; height: 45px; background: #ce1168; color: #fff; font-size: 18px;
        font-weight: bold; line-height: 45px; cursor: pointer; }
    .hide { display: none !important; }
    .not-found { display: none !important; padding: 10px 15px; background: #fff3e0; border: 1px solid #ffe0b2;
        color: #e65100; }
    .not-found.show { display: block !important; }
    .overlay { position: fixed !important; top: 0; left: 0; }
    .overlay-hidden { display: block !important; }
</style>